znc-python_1.6.3-1ubuntu0.2_amd64.deb


Advertisement

Description

znc-python - advanced modular IRC bouncer (Python extension)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Universe amd64
Package filename znc-python_1.6.3-1ubuntu0.2_amd64.deb
Package name znc-python
Package version 1.6.3
Package release 1ubuntu0.2
Package architecture amd64
Package type deb
Category universe/net
Homepage http://znc.sourceforge.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 586.20 KB
Installed size 3.31 MB
znc is an IRC proxy. It runs as a daemon and connects to IRC server,
then allows you to connect from a workstation and work as the user that
is logged in to the IRC server. After you disconnect, it maintains the
connection to the server. It acts like any normal IRC server, so you can
use any IRC client to connect to it.
Some of its features include support for multiple users, multiple clients,
and multiple IRC servers; playback buffers to catch up with what happened
while you were detached, SSL encryption, DCC proxying, and a plugin
interface with many plugins supporting other features.
This package contains the znc Python extension.

Alternatives

Package Version Architecture Repository
znc-python_1.6.3-1ubuntu0.2_i386.deb 1.6.3 i386 Ubuntu Updates Universe
znc-python_1.6.3-1_i386.deb 1.6.3 i386 Ubuntu Universe
znc-python_1.6.3-1_amd64.deb 1.6.3 amd64 Ubuntu Universe
znc-python - - -

Requires

Name Value
libc6 >= 2.15
libgcc1 >= 1:3.0
libpython3.5 >= 3.5.0~b1
libstdc++6 >= 5.2
znc = 1.6.3-1ubuntu0.2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package znc-python_1.6.3-1ubuntu0.2_amd64.deb
Source Package znc

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install znc-python deb package:
    # sudo apt-get install znc-python

Files

Path
/usr/lib/znc/modpython.so
/usr/lib/znc/modpython/_znc_core.so
/usr/lib/znc/modpython/znc.py
/usr/lib/znc/modpython/znc_core.py
/usr/share/doc/znc-python/changelog.Debian.gz
/usr/share/doc/znc-python/copyright

Changelog

2019-06-26 - Paulo Flabiano Smorigo <pfsmorigo@canonical.com>
znc (1.6.3-1ubuntu0.2) xenial-security; urgency=medium
* SECURITY UPDATE: Fix vulnerability that allows remote authenticated
non-admin users to escalate privileges and execute arbitrary code by
loading a module with a crafted name.
- debian/patches/CVE-2019-12816.patch: Fix remote code execution and
privilege escalation.
- CVE-2019-12816
2018-07-25 - Alex Murray <alex.murray@canonical.com>
znc (1.6.3-1ubuntu0.1) xenial-security; urgency=medium
* SECURITY UPDATE: Privilege escalation for non-admin users (LP: #1781925)
- debian/patches/CVE-2018-14055-1.patch: Remove newlines from incoming
network configuration change directives. Based on upstream patch.
- debian/patches/CVE-2018-14055-2.patch: Remove extra newlines when
writing out configuration file. Based on upstream patch.
- CVE-2018-14055
* SECURITY UPDATE: Path traversal flaw allows access to files outside of
skins (LP: #1781925)
- debian/patches/CVE-2018-14056.patch: Replace path traversal components
in skin names to ensure path traversal is not possible. Based on
upstream patch.
- CVE-2018-14056
2016-02-25 - Patrick Matthäi <pmatthaei@debian.org>
znc (1.6.3-1) unstable; urgency=medium
* New upstream release.
* Remove unused lintian override.
* Fix pkg-config-bad-directive in znc.pc.
* Bump Standards-Version to 3.9.7 (no changes required).
* Enable full hardening, except PIE.
2015-12-16 - Patrick Matthäi <pmatthaei@debian.org>
znc (1.6.2-2) unstable; urgency=medium
* Use DEB_HOST_MULTIARCH to strip include path from pkgconfig file. This
fixes the lintian warning pkg-config-multi-arch-wrong-dir.
2015-11-16 - Patrick Matthäi <pmatthaei@debian.org>
znc (1.6.2-1) unstable; urgency=medium
* New upstream release.
- Remove merged patch 01-no-sslv3-ftbfs.
2015-11-12 - Patrick Matthäi <pmatthaei@debian.org>
znc (1.6.1-2) unstable; urgency=medium
* Add patch 01-no-sslv3-ftbfs to fix a FTBFS if OpenSSL is built without
SSLv3.
Closes: #804618
* Remove unused-override from znc-perl package.
2015-08-04 - Patrick Matthäi <pmatthaei@debian.org>
znc (1.6.1-1) unstable; urgency=medium
* New upstream release.
- Remove merged patch 01-distclean-zncconfig.
- JQuery source is now included.
Closes: #788278
* Add missing dependencies to the znc-dev package.
Closes: #783546
2015-04-26 - Patrick Matthäi <pmatthaei@debian.org>
znc (1.6.0-3) unstable; urgency=low
* Uploading to unstable.
2015-02-19 - Patrick Matthäi <pmatthaei@debian.org>
znc (1.6.0-2) experimental; urgency=low
* Add upstream patch 01-distclean-zncconfig to allow building twice in a row.
Closes: #712254
* Add new alias module.
* Add format to debian/copyright. This fixes the lintian warning
no-dep5-copyright.
* Fix multiple pkg-config-bad-directive and pkg-config-multi-arch-wrong-dir
lintian errors by removing them in the pkg-config file.
* Fix lintian warning debian-watch-may-check-gpg-signature.
2015-02-14 - Patrick Matthäi <pmatthaei@debian.org>
znc (1.6.0-1) experimental; urgency=low
* New upstream release.
Closes: #778335
- Remove merged patch 01-cipher-disable.
- Bump build depends to swig3.0.
- Add libicu-dev build dependency for charset support.
- charset.so module has been removed.
* Fix some file locations in debian/copyright.
Closes: #775587
* Remove deprecated hardening-wrapper.
* Bump Standards-Version to 3.9.6 (no changes required).
* Drop deprecated build dependency python-support.

See Also

Package Description
znc-tcl_1.6.3-1ubuntu0.2_amd64.deb advanced modular IRC bouncer (Tcl extension)
znc_1.6.3-1ubuntu0.2_amd64.deb advanced modular IRC bouncer
zsh-static_5.1.1-1ubuntu2.3_amd64.deb shell with lots of features (static link)
zstd_1.3.1+dfsg-1~ubuntu0.16.04.1_amd64.deb fast lossless compression algorithm -- CLI tool
zypper-common_1.12.4-1build0.1_all.deb command line software manager using libzypp (common files)
zypper-doc_1.12.4-1build0.1_all.deb command line software manager using libzypp (documentation)
zypper_1.12.4-1build0.1_amd64.deb command line software manager using libzypp
zziplib-bin_0.13.62-3ubuntu0.16.04.2_amd64.deb library providing read access on ZIP-archives - binaries
Advertisement
Advertisement